/* $Id: xsfcave.h,v 1.31 2006/01/31 01:16:17 ppl Exp $ */

#ifndef HEADER_FIELD_H
#define HEADER_FIELD_H

#include "game_engine.h"

typedef struct
{
	GC worm_gc;
	GC obstacle_gc;

	GC tiles_cave;
	GC tiles_wall;

	XGCValues tiles_update;  /* use to update ts_x_origin */

	unsigned int last_tick;  /* needed to keep track of how
	                            much we must move tiles.ts_x_origin */
} FieldClass;


extern const struct FieldClassPublicMethods
{
	Bool (*create )(FieldClass *, Window parent);
	void (*destroy)(FieldClass *);
	void (*draw   )(FieldClass *, GameClass *, Drawable d);
} Field;

#endif
