/* $Id: xsfcave.h,v 1.31 2006/01/31 01:16:17 ppl Exp $ */

#ifndef HEADER_SCREENSHOT_H
#define HEADER_SCREENSHOT_H

#include <stdio.h>

typedef struct
{
	unsigned char *bmp;
	unsigned int bmp_size;
} ScreenshotClass;

extern const struct ScreenshotClassPublicMethods
{
	void (*create )(ScreenshotClass *);
	void (*destroy)(ScreenshotClass *);
	Bool (*save   )(ScreenshotClass *, FILE *);
	Bool (*capture)(ScreenshotClass *, Drawable d, unsigned int width, unsigned int height);
} Screenshot;

#endif
