/* $Id: cursor.c,v 1.1 2004/08/04 23:52:43 ppl Exp $ */

#include "xsfcave.h"

/*
	Turn mouse cursor visibility on and off.
*/

void
cursor_hide(Window w)
{
	Cursor cursor;
	XColor fg, bg; /* Unused */
	char data = 0;
	Pixmap bitmap;

	/*
		Simple empty bitmap/pixmap.
	*/
	bitmap = XCreateBitmapFromData(display, w, &data, 1, 1);

	/*
		Cursor hotspot is (0, 0).
	*/
	cursor = XCreatePixmapCursor(display, bitmap, bitmap, &fg, &bg, 0, 0);
	XFreePixmap(display, bitmap);

	XDefineCursor(display, w, cursor);
}

void
cursor_show(Window w)
{
	XUndefineCursor(display, w);
}
